com.sun.grid.jgdi.monitoring.reflect

## Class HostInfoDescriptor

- java.lang.Object
- - com.sun.grid.jgdi.configuration.reflect.AbstractClassDescriptor
  - - com.sun.grid.jgdi.monitoring.reflect.HostInfoDescriptor

- All Implemented Interfaces:
    ClassDescriptor

      public class HostInfoDescriptor
      extends AbstractClassDescriptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostInfoDescriptor()` Creates a new instance of HostInfoDescriptor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(java.lang.Object bean)`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.reflect.AbstractClassDescriptor

      `add, addList, addMap, addMapList, addSimple, clone, getBeanClass, getCullName, getImplClass, getProperties, getProperty, getProperty, getPropertyByCullFieldName, getPropertyCount, getPropertyNames, newInstance, registryObjects, setImplClass, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostInfoDescriptor

          public HostInfoDescriptor()

      Creates a new instance of HostInfoDescriptor

  - ### Method Detail

    - #### validate

          public void validate(java.lang.Object bean)
                        throws InvalidObjectException

      Throws:
        `InvalidObjectException`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.